<data-table-component :searchColumns="searchColumns"
                      :tableColumns="tableColumns"
                      :routeName="routeName"
                      :routeParams="routeParams"
                      :actionColumns="actionColumns"
                      ref="warehouseInventoryDataTable"
                      @edit-row="editProduct">

    <template v-slot:custom>

        <el-table-column type="expand">

            <template slot-scope="scope">

                <table class="table table-striped- table-bordered table-hover table-checkable"
                       style="width: 100%">

                    <thead>
                    <th>
                        Variant
                    </th>
                    <th>
                        Price
                    </th>
                    <th>
                        Quantity
                    </th>
                    </thead>
                    <tbody style="overflow-x: hidden; overflow-y: scroll; max-height: 250px">

                    <tr v-for="(variant, index) in scope.row.variants" align="center">
                        <td>
                            <div class="form-group m-form__group row">
                                <div v-for="(attribute, index) in variant.product_attribute_values" :class="'col-lg-' + Math.round(12 / variant.product_attribute_values.length)">
                                    <p><b>{{ attribute.attribute.name }}</b></p>
                                    <p>{{ attribute.attribute_value.value }}</p>
                                </div>
                            </div>
                        </td>

                        <td>
                            {{ variant.price }}
                        </td>

                        <td>
                            {{ variant.warehouse_inventories[0].quantity }}
                        </td>
                    </tr>

                    </tbody>
                </table>

            </template>

        </el-table-column>

    </template>

</data-table-component>